<vn>
<div id="title">
	<h1><t>LastOrders</t></h1>
</div>
<div id="actions" class="action-bar">
	<div id="balance">
		<t>PendingBalance:</t>
		<htk-label format="%.2d€" conditional-func="balanceConditionalFunc">
			<db-calc-sum model="balance" column-name="amount"/>
		</htk-label>
		<img src="image/dark/info.svg" title="_PaymentInfo" class="balance-info" alt="Info"/>
	</div>
	<button id="pay-button" title="_MakePayment" on-click="onPayButtonClick">		
		<img src="image/dark/pay.svg" alt="_MakePayment"/>
	</button>
	<button on-click="onBasketClick" title="_ShoppingBasket">
		<img src="image/dark/basket.svg" alt=""/>
		<t>Basket</t>
	</button>
</div>
<div id="form" class="orders">
	<div class="box confirmed">
		<div>
			<htk-grid show-header="false">
				<db-model id="tickets">
					CALL ticket_list ();
				</db-model>
				<htk-column-date column="date" format="%A, %e of %B"/>
				<htk-column-text title="_SendMethod" column="type"/>
				<htk-column-spin column="total" unit="€" digits="2"/>
				<htk-column-button
					column="ticket_id"
					image="image/show.svg"
					tip="_SeeOrder"
					on-clicked="onShowClick"/>
			</htk-grid>
		</div>
	</div>
</div>
<div id="balance-popup" class="balance-popup">
	<htk-grid class="balance-grid" show-header="false">
		<db-model id="balance" result-index="1">
			CALL customer_get_debt_by_company ();
			SELECT * FROM t_customer_debt;
			DROP TEMPORARY TABLE t_customer_debt;
		</db-model>
		<htk-column-text title="_Company" column="abbreviation"/>
		<htk-column-spin title="_Pending" column="amount" unit="€" digits="2"/>
		<htk-column-button title="_Pay" image="image/pay.svg" tip="Pay" on-clicked="onCompanyPayClick"/>
	</htk-grid>
</div>
</vn>
